## groundhog 1.0.0

=== DESCRIPTION ===
Package: groundhog
Title: Reproducible Scripts via Version-Specific Package Loading
Version: 1.0.0
Authors@R: c(
    person(given = "Uri",
           family = "Simonsohn",
           role = c("aut", "cph"),
           email = "urisohn@gmail.com",
           comment = c(ORCID = "0000-0002-8601-7211")),
    person(given = "Hugo",
           family = "Gruson",
           role = c("cre", "aut"),
           email = "hugo.gruson+R@normalesup.org",
           comment = c(ORCID = "0000-0002-4094-1476"))
    )
Description: Make R scripts that rely on packages reproducible by ensuring that
    every time a given script is run, the same version of the used packages are
    loaded (instead of whichever version the user running the script happens to
    have installed). This is achieved by using the new command
    groundhog.library() instead of the base command library(), and including a
    date in the call. The date is used to call on the same version of the
    package every time (the most recent version available on CRAN at that date).
URL: https://groundhogr.com/,
        https://github.com/CredibilityLab/groundhog
BugReports: https://github.com/CredibilityLab/groundhog/issues
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Suggests: covr, testthat (>= 2.1.0), knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-10-22 13:34:26 UTC; hugo
Author: Uri Simonsohn [aut, cph] (<https://orcid.org/0000-0002-8601-7211>),
  Hugo Gruson [cre, aut] (<https://orcid.org/0000-0002-4094-1476>)
Maintainer: Hugo Gruson <hugo.gruson+R@normalesup.org>
Repository: CRAN
Date/Publication: 2020-10-30 09:20:02 UTC

## groundhog 1.1

=== Makefile ===
PREFIX=/usr/local
HIGHSCOREDIR=$HOME

GTK_INCLUDE = `gtk-config --cflags`
GTK_LIB = `gtk-config --libs`

VERSION=1.1
CC = g++
DEPEND = gccmakedep
RM = rm -f

CFLAGS = $(GTK_INCLUDE) -O2 -Wall
LDFLAGS = $(GTK_LIB)

SOURCES =		\
about_dialog.cc		\
ball.cc			\
dialog.cc		\
element.cc		\
game.cc			\
highscore_dialog.cc	\
highscore_tab.cc	\
highscore.cc		\
main.cc			\
new_game_dialog.cc	\
new_highscore_dialog.cc \
options_dialog.cc	\
pocket.cc		\
score.cc		\
solved_dialog.cc	\
tube.cc			\
tube_pair.cc

OBJECTS=$(SOURCES:.cc=.o)

ALL_FILES = $(SOURCES) \
            *.h        \
            *.xpm      \
            Makefile   \
	    COPYING    \
	    NEWS       \
            TODO       \
            INSTALL    \
            README     \
            ChangeLog

TARGETS = groundhog

all:	 $(TARGETS)

dist:
	rm -rf groundhog-$(VERSION)
	mkdir groundhog-$(VERSION)
	cp $(ALL_FILES) groundhog-$(VERSION)
	tar czf groundhog-$(VERSION).tgz ./groundhog-$(VERSION)

depend:
	$(DEPEND) -- $(CFLAGS) -- $(SOURCES)

clean:
	$(RM) $(OBJECTS) $(TARGETS) core *~

groundhog: $(OBJECTS)
	$(CC) $(OBJECTS) -o $@ $(LDFLAGS)

install: groundhog
	install -c groundhog $(PREFIX)/bin/groundhog

uninstall:
	rm -f $(PREFIX)/bin/groundhog

# Inference rules

.cc.o:
	$(CC) $(CFLAGS) -c $<


# DO NOT DELETE

## groundhog 1.1.0

=== DESCRIPTION ===
Package: groundhog
Title: Reproducible Scripts via Version-Specific Package Loading
Version: 1.1.0
Authors@R: c(
    person(given = "Uri",
           family = "Simonsohn",
           role = c("aut", "cre"),
           email = "urisohn@gmail.com",
           comment = c(ORCID = "0000-0002-8601-7211")),
    person(given = "Hugo",
           family = "Gruson",
           role = c("ctb", "aut"),
           email = "hugo.gruson+R@normalesup.org",
           comment = c(ORCID = "0000-0002-4094-1476"))
    )
Description: Make R scripts that rely on packages reproducible, by ensuring that
    every time a given script is run, the same version of the used packages are
    loaded (instead of whichever version the user running the script happens to
    have installed). This is achieved by using the new command
    groundhog.library() instead of the base command library(), and including a
    date in the call. The date is used to call on the same version of the
    package every time (the most recent version available on CRAN at that date).
URL: https://groundhogr.com/,
        https://github.com/CredibilityLab/groundhog
BugReports: https://github.com/CredibilityLab/groundhog/issues
License: GPL-3
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
Suggests: rstudioapi
NeedsCompilation: no
Packaged: 2021-01-04 10:41:28 UTC; Uri
Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
  Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
Maintainer: Uri Simonsohn <urisohn@gmail.com>
Repository: CRAN
Date/Publication: 2021-01-04 13:00:03 UTC

## groundhog 1.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Reproducible Scripts via Version-Specific Package Loading
-Version: 1.1.0
+Version: 1.2.0
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -29,9 +29,9 @@
 RoxygenNote: 7.1.1
 Suggests: rstudioapi
 NeedsCompilation: no
-Packaged: 2021-01-04 10:41:28 UTC; Uri
+Packaged: 2021-01-14 15:37:32 UTC; Uri
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-01-04 13:00:03 UTC
+Date/Publication: 2021-01-14 20:50:02 UTC

## groundhog 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Reproducible Scripts via Version-Specific Package Loading
-Version: 1.2.0
+Version: 1.3.2
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -27,11 +27,10 @@
 Encoding: UTF-8
 LazyData: true
 RoxygenNote: 7.1.1
-Suggests: rstudioapi
 NeedsCompilation: no
-Packaged: 2021-01-14 15:37:32 UTC; Uri
+Packaged: 2021-03-12 11:39:42 UTC; Uri
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-01-14 20:50:02 UTC
+Date/Publication: 2021-03-12 12:20:02 UTC

## groundhog 1.4

=== debian/changelog ===
groundhog (1.4-11) unstable; urgency=low

  * Remove embedded copy of AM_PATH_GLIB_2_0 (Closes: #943660)
  * Bump debian/compat to 12

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 26 Dec 2022 22:04:45 +0800

groundhog (1.4-10) unstable; urgency=low

  * Change Maintainer to Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
  * Update debian/compat to 9 (Closes: #817487)
  * Update source package to use DebSrc3.0
  * Bump Standard Version to 3.9.7
  * Modify debian/copyright to machine-readable format.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 15 Mar 2016 13:05:48 +0800

groundhog (1.4-9) unstable; urgency=low

  * New maintainer (Closes: Bug#465949)
  * Use Homepage: instead of the pseudo-header in long description
  * Add debian/compat to 4
  * Use quilt to handle patches
  * Bump Standard Version to 3.7.3
  * Remove empty directories in debian/dirs
  * Use autoconf/automake to generate configure
  * Include Swedish translation sv.po (Closes: Bug#346520)
  * Refine debian/copyright file
  * Only use --build on configure in debian/rules when host type is same
  * Remove unnecessary dh_* and comments in debian/rules

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Tue, 18 Mar 2008 00:14:15 +0800

groundhog (1.4-8.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by tbm. (Closes: #417216)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 23:03:27 +0100

groundhog (1.4-8) unstable; urgency=low

  * Accept NMU Content - Thank you Justin! (Closes: Bug#346716)
  * Apply patch for g++ 4.1 cleanup (Closes: Bug#357861)
  * Upgrade watch file to version 3 Syntax

 -- Stephen M Moraco <stephen@debian.org>  Wed, 29 Mar 2006 22:26:53 -0700

groundhog (1.4-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-deps for xlibs-dev removal; closes: #346716.

 -- Justin Pryzby <justinpryzby@users.sf.net>  Sun, 15 Jan 2006 17:31:44 -0500

groundhog (1.4-7) unstable; urgency=low

  * Update Standards Version
  * Add Watch file

 -- Stephen M Moraco <stephen@debian.org>  Sun,  2 Oct 2005 13:20:33 -0600

groundhog (1.4-6) unstable; urgency=low

  * Update Policy Version

 -- Stephen M Moraco <stephen@debian.org>  Fri, 20 Aug 2004 23:12:32 -0600

groundhog (1.4-5) unstable; urgency=low

  * Fix build problem w/gcc-3.3, streams use (Closes: Bug#196793)
  * Update Policy Version

 -- Stephen M Moraco <stephen@debian.org>  Wed, 18 Jun 2003 19:46:15 -0600

groundhog (1.4-4) unstable; urgency=low

  * Update per debhelper best practice changes
  * Update Policy Version

 -- Stephen M Moraco <stephen@debian.org>  Thu, 13 Mar 2003 11:53:23 -0700

groundhog (1.4-3) unstable; urgency=low

  * Update to latest policy version

 -- Stephen M Moraco <stephen@debian.org>  Tue,  1 Oct 2002 17:54:33 -0600

groundhog (1.4-2) unstable; urgency=low

  * Revise depends (removing dep on g++-3.0)
  * Build agianst latest libs (Closes: Bug#157930)

 -- Stephen M Moraco <stephen@debian.org>  Sat, 17 Aug 2002 11:05:12 -0600

groundhog (1.4-1) unstable; urgency=low

  * New upstream version

 -- Stephen M Moraco <stephen@debian.org>  Wed,  3 Jul 2002 23:45:00 -0600

groundhog (1.3.2-3) unstable; urgency=low

  * Remove vesigal aclocal call (Closes: Bug#131421)

 -- Stephen M Moraco <stephen@debian.org>  Tue, 29 Jan 2002 19:11:33 -0700

groundhog (1.3.2-2) unstable; urgency=low

  * Correct auto-update of config.guess,config.sub

 -- Stephen M Moraco <stephen@debian.org>  Mon, 28 Jan 2002 00:15:23 -0700

groundhog (1.3.2-1) unstable; urgency=low

  * New upstream version

 -- Stephen M Moraco <stephen@debian.org>  Sun, 27 Jan 2002 16:14:11 -0700

groundhog (1.3.1-3) unstable; urgency=low

  * Remove postinst/rmv handling of high score file (Closes: Bug#114563)

 -- Stephen M Moraco <stephen@debian.org>  Tue,  9 Oct 2001 01:35:19 -0600

groundhog (1.3.1-2) unstable; urgency=low

  * Add build-depend on g++-3.0

 -- Stephen M Moraco <stephen@debian.org>  Sat, 22 Sep 2001 03:03:40 -0600

groundhog (1.3.1-1) unstable; urgency=low

  * New upstream version 
  *   no longer is suid app (Closes: Bug#107925)
  *      and the merged dupe bug (Closes: Bug#110186)
  *   now builds with gcc-3.0 (Closes: Bug#104848)

 -- Stephen M Moraco <stephen@debian.org>  Thu, 20 Sep 2001 21:03:10 -0600

groundhog (1.2-8) unstable; urgency=low

  * remove need for setgid (Closes: Bug#107925)
  * fix changelog emacs stuff per lintian

 -- Stephen M Moraco <stephen@debian.org>  Tue, 21 Aug 2001 20:22:51 -0600

groundhog (1.2-7) unstable; urgency=low

  * Build against newer libs

 -- Stephen M Moraco <stephen@debian.org>  Mon, 26 Mar 2001 14:56:04 -0700

groundhog (1.2-6) unstable; urgency=low

  * Add missing build-depend (Closes: Bug#90716)
  * Adjust package description

 -- Stephen M Moraco <stephen@debian.org>  Wed, 22 Mar 2001 00:20:40 -0700

groundhog (1.2-5) unstable; urgency=low

  * New Maintainer (Closes: Bug#90309)

 -- Stephen M Moraco <stephen@debian.org>  Wed, 21 Mar 2001 01:06:03 -0700

groundhog (1.2-4) unstable; urgency=low

  * Rebuilt with dpkg-dev 1.8.3.

 -- Ruud de Rooij <ruud@debian.org>  Mon, 15 Jan 2001 11:17:00 -0600

groundhog (1.2-3) unstable; urgency=low

  * Updated for new suidregister.

 -- Ruud de Rooij <ruud@debian.org>  Thu, 11 Jan 2001 12:23:32 -0600

groundhog (1.2-2) unstable; urgency=low

  * Added liblockfile-dev to Build-Depends (closes: #58068).

 -- Ruud de Rooij <ruud@debian.org>  Mon, 14 Feb 2000 18:29:50 +0100

groundhog (1.2-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.1.1.

 -- Ruud de Rooij <ruud@debian.org>  Sun,  6 Feb 2000 17:56:55 +0100

groundhog (1.1-8) unstable; urgency=low

  * Recompiled for libgtk 1.2.5.
  * Removed workaround introduced in 1.1-6, and display a proper board at
    startup again.

 -- Ruud de Rooij <ruud@debian.org>  Mon, 27 Sep 1999 10:23:07 +0200

groundhog (1.1-7) unstable; urgency=low

  * Changed Standards-Version field in debian/control to 3.0.1.


=== debian/control ===
Source: groundhog
Section: games
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper-compat (= 12),
               gettext,
               libgtk2.0-dev,
               liblockfile-dev,
               libtool,
               quilt
Standards-Version: 3.9.7
Homepage: http://home-2.consunet.nl/~cb007736/groundhog.html

Package: groundhog
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple logic game
 The purpose of this game is to put balls in pockets of the same color
 by manipulating a maze of tubes.

=== debian/watch ===
# Site      Directory       Pattern         Version Script
version=3
http://home-2.consunet.nl/~cb007736/groundhog.html \
  groundhog-([\d+\.]+|\d+)\.tar\.gz

## groundhog 1.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
-Title: Reproducible Scripts via Version-Specific Package Loading
-Version: 1.3.2
+Title: The Simplest Solution to Version-Control for CRAN Packages
+Version: 1.4.0
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -25,12 +25,11 @@
 BugReports: https://github.com/CredibilityLab/groundhog/issues
 License: GPL-3
 Encoding: UTF-8
-LazyData: true
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2021-03-12 11:39:42 UTC; Uri
+Packaged: 2021-05-03 09:29:43 UTC; Uri
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-03-12 12:20:02 UTC
+Date/Publication: 2021-05-03 09:40:02 UTC

## groundhog 1.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: The Simplest Solution to Version-Control for CRAN Packages
-Version: 1.4.0
+Version: 1.5.0
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -27,9 +27,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2021-05-03 09:29:43 UTC; Uri
+Packaged: 2021-09-07 15:34:46 UTC; Uri
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-05-03 09:40:02 UTC
+Date/Publication: 2021-09-07 15:50:02 UTC

## groundhog 2.0.0

=== DESCRIPTION ===
Package: groundhog
Title: Version-Control for CRAN, GitHub, and GitLab Packages
Version: 2.0.0
Authors@R: c(
    person(given = "Uri",
           family = "Simonsohn",
           role = c("aut", "cre"),
           email = "urisohn@gmail.com",
           comment = c(ORCID = "0000-0002-8601-7211")),
    person(given = "Hugo",
           family = "Gruson",
           role = c("ctb", "aut"),
           email = "hugo.gruson+R@normalesup.org",
           comment = c(ORCID = "0000-0002-4094-1476"))
    )
Description: Make R scripts reproducible, by ensuring that
    every time a given script is run, the same version of the used packages are
    loaded (instead of whichever version the user running the script happens to
    have installed). This is achieved by using the command
    groundhog.library() instead of the base command library(), and including a
    date in the call. The date is used to call on the same version of the
    package every time (the most recent version available at that date). 
    Load packages  from CRAN, GitHub, or Gitlab.
URL: https://groundhogr.com/,
        https://github.com/CredibilityLab/groundhog
BugReports: https://github.com/CredibilityLab/groundhog/issues
Depends: utils
Imports: methods
Suggests: git2r, remotes
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.2.0
NeedsCompilation: no
Packaged: 2022-07-12 14:35:24 UTC; Uri
Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
  Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
Maintainer: Uri Simonsohn <urisohn@gmail.com>
Repository: CRAN
Date/Publication: 2022-07-12 15:00:02 UTC

## groundhog 2.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 2.0.0
+Version: 2.0.1
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -19,7 +19,7 @@
     have installed). This is achieved by using the command
     groundhog.library() instead of the base command library(), and including a
     date in the call. The date is used to call on the same version of the
-    package every time (the most recent version available at that date). 
+    package every time (the most recent version available at that date).
     Load packages  from CRAN, GitHub, or Gitlab.
 URL: https://groundhogr.com/,
         https://github.com/CredibilityLab/groundhog
@@ -31,9 +31,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-07-12 14:35:24 UTC; Uri
+Packaged: 2022-07-26 07:25:02 UTC; Uri
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-07-12 15:00:02 UTC
+Date/Publication: 2022-08-06 07:20:02 UTC

## groundhog 2.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 2.0.1
+Version: 2.1.0
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -31,9 +31,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-07-26 07:25:02 UTC; Uri
+Packaged: 2022-10-02 21:13:13 UTC; Uri
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-08-06 07:20:02 UTC
+Date/Publication: 2022-10-02 21:30:02 UTC

## groundhog 2.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 2.1.0
+Version: 2.2.0
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -20,7 +20,12 @@
     groundhog.library() instead of the base command library(), and including a
     date in the call. The date is used to call on the same version of the
     package every time (the most recent version available at that date).
-    Load packages  from CRAN, GitHub, or Gitlab.
+    Load packages  from CRAN, GitHub, or Gitlab.	
+	=======================================
+	Note: groundhog relied on Microsoft's MRAN archive which is being discontinued.
+	This version of groundhog is transitioning away from MRAN, relying on it only for 
+	dates prior to Jan 31, 2023. A future release of groundhog, v2.3.0, 
+	expected by May 2023, will discontinue relying on MRAN entirely. 
 URL: https://groundhogr.com/,
         https://github.com/CredibilityLab/groundhog
 BugReports: https://github.com/CredibilityLab/groundhog/issues
@@ -29,11 +34,11 @@
 Suggests: git2r, remotes
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.2.0
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-10-02 21:13:13 UTC; Uri
+Packaged: 2023-01-25 14:08:56 UTC; _sohn
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-10-02 21:30:02 UTC
+Date/Publication: 2023-01-25 14:30:02 UTC

## groundhog 2.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 2.2.0
+Version: 2.2.1
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -36,9 +36,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-01-25 14:08:56 UTC; _sohn
+Packaged: 2023-03-04 05:20:43 UTC; _sohn
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-01-25 14:30:02 UTC
+Date/Publication: 2023-03-04 07:20:04 UTC

## groundhog 3.0.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 2.2.1
+Version: 3.0.0
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -21,11 +21,6 @@
     date in the call. The date is used to call on the same version of the
     package every time (the most recent version available at that date).
     Load packages  from CRAN, GitHub, or Gitlab.	
-	=======================================
-	Note: groundhog relied on Microsoft's MRAN archive which is being discontinued.
-	This version of groundhog is transitioning away from MRAN, relying on it only for 
-	dates prior to Jan 31, 2023. A future release of groundhog, v2.3.0, 
-	expected by May 2023, will discontinue relying on MRAN entirely. 
 URL: https://groundhogr.com/,
         https://github.com/CredibilityLab/groundhog
 BugReports: https://github.com/CredibilityLab/groundhog/issues
@@ -36,9 +31,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-03-04 05:20:43 UTC; _sohn
+Packaged: 2023-04-20 13:53:24 UTC; _sohn
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-03-04 07:20:04 UTC
+Date/Publication: 2023-04-20 14:10:02 UTC

## groundhog 3.1.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 3.0.0
+Version: 3.1.0
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -31,9 +31,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-04-20 13:53:24 UTC; _sohn
+Packaged: 2023-05-05 17:13:06 UTC; _sohn
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-04-20 14:10:02 UTC
+Date/Publication: 2023-05-05 17:30:02 UTC

## groundhog 3.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 3.1.0
+Version: 3.1.1
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -20,7 +20,7 @@
     groundhog.library() instead of the base command library(), and including a
     date in the call. The date is used to call on the same version of the
     package every time (the most recent version available at that date).
-    Load packages  from CRAN, GitHub, or Gitlab.	
+    Load packages  from CRAN, GitHub, or Gitlab.
 URL: https://groundhogr.com/,
         https://github.com/CredibilityLab/groundhog
 BugReports: https://github.com/CredibilityLab/groundhog/issues
@@ -31,9 +31,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-05-05 17:13:06 UTC; _sohn
+Packaged: 2023-08-21 11:02:45 UTC; _sohn
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-05-05 17:30:02 UTC
+Date/Publication: 2023-08-21 11:20:05 UTC

## groundhog 3.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 3.1.1
+Version: 3.1.2
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -31,9 +31,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-08-21 11:02:45 UTC; _sohn
+Packaged: 2023-10-13 04:40:47 UTC; _sohn
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-08-21 11:20:05 UTC
+Date/Publication: 2023-10-13 05:00:02 UTC

## groundhog 3.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 3.1.2
+Version: 3.2.0
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -31,9 +31,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-10-13 04:40:47 UTC; _sohn
+Packaged: 2024-02-03 21:48:50 UTC; _sohn
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-10-13 05:00:02 UTC
+Date/Publication: 2024-02-03 22:10:02 UTC

## groundhog 3.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 3.2.0
+Version: 3.2.1
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -29,11 +29,11 @@
 Suggests: git2r, remotes
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-02-03 21:48:50 UTC; _sohn
+Packaged: 2024-09-29 04:28:34 UTC; Zohn1
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-02-03 22:10:02 UTC
+Date/Publication: 2024-09-29 04:40:03 UTC

## groundhog 3.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 3.2.1
+Version: 3.2.2
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -31,9 +31,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-09-29 04:28:34 UTC; Zohn1
+Packaged: 2025-01-19 11:45:54 UTC; xpz_zohn
 Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2024-09-29 04:40:03 UTC
+Date/Publication: 2025-01-19 12:00:01 UTC

## groundhog 3.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 3.2.2
+Version: 3.2.3
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -31,9 +31,10 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2025-01-19 11:45:54 UTC; xpz_zohn
-Author: Uri Simonsohn [aut, cre] (<https://orcid.org/0000-0002-8601-7211>),
-  Hugo Gruson [ctb, aut] (<https://orcid.org/0000-0002-4094-1476>)
+Packaged: 2025-05-12 05:50:02 UTC; uri_s
+Author: Uri Simonsohn [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-8601-7211>),
+  Hugo Gruson [ctb, aut] (ORCID: <https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-01-19 12:00:01 UTC
+Date/Publication: 2025-05-12 06:00:01 UTC

## groundhog 3.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 3.2.3
+Version: 3.3.0
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -29,12 +29,12 @@
 Suggests: git2r, remotes
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2025-05-12 05:50:02 UTC; uri_s
+Packaged: 2025-12-09 11:57:42 UTC; uri_s
 Author: Uri Simonsohn [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (ORCID: <https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-05-12 06:00:01 UTC
+Date/Publication: 2025-12-09 12:20:16 UTC

## groundhog 3.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: groundhog
 Title: Version-Control for CRAN, GitHub, and GitLab Packages
-Version: 3.3.0
+Version: 3.4.0
 Authors@R: c(
     person(given = "Uri",
            family = "Simonsohn",
@@ -31,10 +31,10 @@
 Encoding: UTF-8
 RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2025-12-09 11:57:42 UTC; uri_s
+Packaged: 2026-01-10 12:23:42 UTC; uri_s
 Author: Uri Simonsohn [aut, cre] (ORCID:
     <https://orcid.org/0000-0002-8601-7211>),
   Hugo Gruson [ctb, aut] (ORCID: <https://orcid.org/0000-0002-4094-1476>)
 Maintainer: Uri Simonsohn <urisohn@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-12-09 12:20:16 UTC
+Date/Publication: 2026-01-10 12:40:02 UTC
